質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Vue.js

Vue.jsは、Webアプリケーションのインターフェースを構築するためのオープンソースJavaScriptフレームワークです。

Vuex

Vuexは、Vue.js アプリケーションのための状態管理ライブラリです。アプリケーション内で使用するコンポーネントのための集中データストアを提供。コンポーネント同士でデータをやり取りし、処理のフローを一貫させたり、データの見通しを良くすることができます。

Vue CLI

Vue CLIは、Vue.jsでアプリケーション開発を行うためのコマンドラインインタフェース(CLI)に基づいた開発ツールです。インタラクティブなプロジェクトの雛形や設定なしで使用できるプロトタイプの作成など、さまざまな機能が用意されています。

解決済

vue createコマンドを実行するとプロジェクト作成に失敗する

5963Yusuke
5963Yusuke

総合スコア10

Vue.js

Vue.jsは、Webアプリケーションのインターフェースを構築するためのオープンソースJavaScriptフレームワークです。

Vuex

Vuexは、Vue.js アプリケーションのための状態管理ライブラリです。アプリケーション内で使用するコンポーネントのための集中データストアを提供。コンポーネント同士でデータをやり取りし、処理のフローを一貫させたり、データの見通しを良くすることができます。

Vue CLI

Vue CLIは、Vue.jsでアプリケーション開発を行うためのコマンドラインインタフェース(CLI)に基づいた開発ツールです。インタラクティブなプロジェクトの雛形や設定なしで使用できるプロトタイプの作成など、さまざまな機能が用意されています。

1回答

0評価

0クリップ

918閲覧

投稿2022/01/29 21:44

前提・実現したいこと

vue createコマンドを使用して、vueプロジェクトを作成したいと思っていますが、
コマンドを実行すると以下のエラーが発生してしまいます。
コマンド:vue create frontend
※「frontend」は作成しようとしているプロジェクト名

発生している問題・エラーメッセージ

⚙️ Installing CLI plugins. This might take a while... npm ERR! cb.apply is not a function npm ERR! A complete log of this run can be found in: npm ERR! C:\Users\maeda\AppData\Roaming\npm-cache\_logs\2022-01-29T21_01_36_310Z-debug.log ERROR command failed: npm install --loglevel error

2022

0 info it worked if it ends with ok 1 warn npm npm does not support Node.js v16.13.2 2 warn npm You should probably upgrade to a newer version of node as we 3 warn npm can't make any promises that npm will work with this version. 4 warn npm Supported releases of Node.js are the latest release of 6, 8, 9, 10, 11, 12. 5 warn npm You can find the latest version at https://nodejs.org/ 6 verbose cli [ 6 verbose cli 'C:\\Program Files (x86)\\Nodist\\v-x64\\16.13.2\\node.exe', 6 verbose cli 'C:\\Program Files (x86)\\Nodist\\npmv\\6.9.0\\bin\\npm-cli.js', 6 verbose cli 'install', 6 verbose cli '--loglevel', 6 verbose cli 'error' 6 verbose cli ] 7 info using npm@6.9.0 8 info using node@v16.13.2 9 verbose npm-session c286c0e4437a7951 10 silly install runPreinstallTopLevelLifecycles 11 silly preinstall frontend@0.1.0 12 info lifecycle frontend@0.1.0~preinstall: frontend@0.1.0 13 silly install loadCurrentTree 14 silly install readLocalPackageData 15 verbose stack TypeError: cb.apply is not a function 15 verbose stack at C:\Program Files (x86)\Nodist\npmv\6.9.0\node_modules\graceful-fs\polyfills.js:285:20 15 verbose stack at FSReqCallback.oncomplete (node:fs:199:5) 16 verbose cwd C:\Users\maeda\Desktop\ワーク\101_業務\05_2021年度(4年次)\340_勉強グループ・技術分科会\work\git\kanbanApp\frontend 17 verbose Windows_NT 10.0.19042 18 verbose argv "C:\\Program Files (x86)\\Nodist\\v-x64\\16.13.2\\node.exe" "C:\\Program Files (x86)\\Nodist\\npmv\\6.9.0\\bin\\npm-cli.js" "install" "--loglevel" "error" 19 verbose node v16.13.2 20 verbose npm v6.9.0 21 error cb.apply is not a function 22 verbose exit [ 1, true ]

試したこと

node.jsとnpmのバージョンの整合性が取れていないのではないかと思い、Node.jsのリリース一覧を確認し、以下のコマンドを実行

nodist npm 8.1.2

→現在のNode.jsのバージョンは「16.13.2」なので、対応するnpm「8.1.2」にバージョンを変更しようとしたが、以下のエラーが発生した 。

nodistnpm8.1.2エラー内容

npm 8.1.2 {"message":"Must specify access token via Authorization header. https://developer.github.com/changes/2020-02-10-deprecating-auth-through-query-param","documentation_url":"https://docs.github.com/v3/#oauth2-token-sent-in-a-header"}. Sorry.

補足情報(FW/ツールのバージョンなど)

vue --version:@vue/cli 4.5.15
node -v:16.13.2

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Vue.js

Vue.jsは、Webアプリケーションのインターフェースを構築するためのオープンソースJavaScriptフレームワークです。

Vuex

Vuexは、Vue.js アプリケーションのための状態管理ライブラリです。アプリケーション内で使用するコンポーネントのための集中データストアを提供。コンポーネント同士でデータをやり取りし、処理のフローを一貫させたり、データの見通しを良くすることができます。

Vue CLI

Vue CLIは、Vue.jsでアプリケーション開発を行うためのコマンドラインインタフェース(CLI)に基づいた開発ツールです。インタラクティブなプロジェクトの雛形や設定なしで使用できるプロトタイプの作成など、さまざまな機能が用意されています。